# -*- coding: utf-8 -*-
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: artemis/event/external_feed_event.proto
"""Generated protocol buffer code."""
from google.protobuf import descriptor as _descriptor
from google.protobuf import message as _message
from google.protobuf import reflection as _reflection
from google.protobuf import symbol_database as _symbol_database
# @@protoc_insertion_point(imports)

_sym_db = _symbol_database.Default()


from artemis.api import external_feed_pb2 as artemis_dot_api_dot_external__feed__pb2
from weclikd.common import follow_pb2 as weclikd_dot_common_dot_follow__pb2


DESCRIPTOR = _descriptor.FileDescriptor(
  name='artemis/event/external_feed_event.proto',
  package='weclikd',
  syntax='proto3',
  serialized_options=None,
  create_key=_descriptor._internal_create_key,
  serialized_pb=b'\n\'artemis/event/external_feed_event.proto\x12\x07weclikd\x1a\x1f\x61rtemis/api/external_feed.proto\x1a\x1bweclikd/common/follow.proto\"D\n\x17\x43reateExternalFeedEvent\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\"B\n\x15\x45\x64itExternalFeedEvent\x12)\n\x04\x66\x65\x65\x64\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\"*\n\x17\x44\x65leteExternalFeedEvent\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x03\"h\n\x17\x46ollowExternalFeedEvent\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\x12)\n\x08settings\x18\x02 \x01(\x0b\x32\x17.weclikd.FollowSettings\x12\x11\n\tfollowers\x18\x03 \x01(\r\"?\n\x19UnfollowExternalFeedEvent\x12\x0f\n\x07\x66\x65\x65\x64_id\x18\x01 \x01(\x04\x12\x11\n\tfollowers\x18\x02 \x01(\r\"\x1b\n\x19PollAllExternalFeedsEvent\"\x84\x01\n\x1cProcessExternalFeedItemEvent\x12+\n\x06source\x18\x01 \x01(\x0b\x32\x1b.weclikd.ExternalFeedSource\x12\x0b\n\x03url\x18\x02 \x01(\t\x12\r\n\x05title\x18\x03 \x01(\t\x12\x0f\n\x07summary\x18\x04 \x01(\t\x12\n\n\x02id\x18\x05 \x01(\tb\x06proto3'
  ,
  dependencies=[artemis_dot_api_dot_external__feed__pb2.DESCRIPTOR,weclikd_dot_common_dot_follow__pb2.DESCRIPTOR,])




_CREATEEXTERNALFEEDEVENT = _descriptor.Descriptor(
  name='CreateExternalFeedEvent',
  full_name='weclikd.CreateExternalFeedEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.CreateExternalFeedEvent.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=114,
  serialized_end=182,
)


_EDITEXTERNALFEEDEVENT = _descriptor.Descriptor(
  name='EditExternalFeedEvent',
  full_name='weclikd.EditExternalFeedEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed', full_name='weclikd.EditExternalFeedEvent.feed', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=184,
  serialized_end=250,
)


_DELETEEXTERNALFEEDEVENT = _descriptor.Descriptor(
  name='DeleteExternalFeedEvent',
  full_name='weclikd.DeleteExternalFeedEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.DeleteExternalFeedEvent.feed_id', index=0,
      number=1, type=3, cpp_type=2, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=252,
  serialized_end=294,
)


_FOLLOWEXTERNALFEEDEVENT = _descriptor.Descriptor(
  name='FollowExternalFeedEvent',
  full_name='weclikd.FollowExternalFeedEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.FollowExternalFeedEvent.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='settings', full_name='weclikd.FollowExternalFeedEvent.settings', index=1,
      number=2, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.FollowExternalFeedEvent.followers', index=2,
      number=3, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=296,
  serialized_end=400,
)


_UNFOLLOWEXTERNALFEEDEVENT = _descriptor.Descriptor(
  name='UnfollowExternalFeedEvent',
  full_name='weclikd.UnfollowExternalFeedEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='feed_id', full_name='weclikd.UnfollowExternalFeedEvent.feed_id', index=0,
      number=1, type=4, cpp_type=4, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='followers', full_name='weclikd.UnfollowExternalFeedEvent.followers', index=1,
      number=2, type=13, cpp_type=3, label=1,
      has_default_value=False, default_value=0,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=402,
  serialized_end=465,
)


_POLLALLEXTERNALFEEDSEVENT = _descriptor.Descriptor(
  name='PollAllExternalFeedsEvent',
  full_name='weclikd.PollAllExternalFeedsEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=467,
  serialized_end=494,
)


_PROCESSEXTERNALFEEDITEMEVENT = _descriptor.Descriptor(
  name='ProcessExternalFeedItemEvent',
  full_name='weclikd.ProcessExternalFeedItemEvent',
  filename=None,
  file=DESCRIPTOR,
  containing_type=None,
  create_key=_descriptor._internal_create_key,
  fields=[
    _descriptor.FieldDescriptor(
      name='source', full_name='weclikd.ProcessExternalFeedItemEvent.source', index=0,
      number=1, type=11, cpp_type=10, label=1,
      has_default_value=False, default_value=None,
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='url', full_name='weclikd.ProcessExternalFeedItemEvent.url', index=1,
      number=2, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='title', full_name='weclikd.ProcessExternalFeedItemEvent.title', index=2,
      number=3, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='summary', full_name='weclikd.ProcessExternalFeedItemEvent.summary', index=3,
      number=4, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
    _descriptor.FieldDescriptor(
      name='id', full_name='weclikd.ProcessExternalFeedItemEvent.id', index=4,
      number=5, type=9, cpp_type=9, label=1,
      has_default_value=False, default_value=b"".decode('utf-8'),
      message_type=None, enum_type=None, containing_type=None,
      is_extension=False, extension_scope=None,
      serialized_options=None, file=DESCRIPTOR,  create_key=_descriptor._internal_create_key),
  ],
  extensions=[
  ],
  nested_types=[],
  enum_types=[
  ],
  serialized_options=None,
  is_extendable=False,
  syntax='proto3',
  extension_ranges=[],
  oneofs=[
  ],
  serialized_start=497,
  serialized_end=629,
)

_CREATEEXTERNALFEEDEVENT.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_EDITEXTERNALFEEDEVENT.fields_by_name['feed'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
_FOLLOWEXTERNALFEEDEVENT.fields_by_name['settings'].message_type = weclikd_dot_common_dot_follow__pb2._FOLLOWSETTINGS
_PROCESSEXTERNALFEEDITEMEVENT.fields_by_name['source'].message_type = artemis_dot_api_dot_external__feed__pb2._EXTERNALFEEDSOURCE
DESCRIPTOR.message_types_by_name['CreateExternalFeedEvent'] = _CREATEEXTERNALFEEDEVENT
DESCRIPTOR.message_types_by_name['EditExternalFeedEvent'] = _EDITEXTERNALFEEDEVENT
DESCRIPTOR.message_types_by_name['DeleteExternalFeedEvent'] = _DELETEEXTERNALFEEDEVENT
DESCRIPTOR.message_types_by_name['FollowExternalFeedEvent'] = _FOLLOWEXTERNALFEEDEVENT
DESCRIPTOR.message_types_by_name['UnfollowExternalFeedEvent'] = _UNFOLLOWEXTERNALFEEDEVENT
DESCRIPTOR.message_types_by_name['PollAllExternalFeedsEvent'] = _POLLALLEXTERNALFEEDSEVENT
DESCRIPTOR.message_types_by_name['ProcessExternalFeedItemEvent'] = _PROCESSEXTERNALFEEDITEMEVENT
_sym_db.RegisterFileDescriptor(DESCRIPTOR)

CreateExternalFeedEvent = _reflection.GeneratedProtocolMessageType('CreateExternalFeedEvent', (_message.Message,), {
  'DESCRIPTOR' : _CREATEEXTERNALFEEDEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.CreateExternalFeedEvent)
  })
_sym_db.RegisterMessage(CreateExternalFeedEvent)

EditExternalFeedEvent = _reflection.GeneratedProtocolMessageType('EditExternalFeedEvent', (_message.Message,), {
  'DESCRIPTOR' : _EDITEXTERNALFEEDEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.EditExternalFeedEvent)
  })
_sym_db.RegisterMessage(EditExternalFeedEvent)

DeleteExternalFeedEvent = _reflection.GeneratedProtocolMessageType('DeleteExternalFeedEvent', (_message.Message,), {
  'DESCRIPTOR' : _DELETEEXTERNALFEEDEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.DeleteExternalFeedEvent)
  })
_sym_db.RegisterMessage(DeleteExternalFeedEvent)

FollowExternalFeedEvent = _reflection.GeneratedProtocolMessageType('FollowExternalFeedEvent', (_message.Message,), {
  'DESCRIPTOR' : _FOLLOWEXTERNALFEEDEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.FollowExternalFeedEvent)
  })
_sym_db.RegisterMessage(FollowExternalFeedEvent)

UnfollowExternalFeedEvent = _reflection.GeneratedProtocolMessageType('UnfollowExternalFeedEvent', (_message.Message,), {
  'DESCRIPTOR' : _UNFOLLOWEXTERNALFEEDEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.UnfollowExternalFeedEvent)
  })
_sym_db.RegisterMessage(UnfollowExternalFeedEvent)

PollAllExternalFeedsEvent = _reflection.GeneratedProtocolMessageType('PollAllExternalFeedsEvent', (_message.Message,), {
  'DESCRIPTOR' : _POLLALLEXTERNALFEEDSEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.PollAllExternalFeedsEvent)
  })
_sym_db.RegisterMessage(PollAllExternalFeedsEvent)

ProcessExternalFeedItemEvent = _reflection.GeneratedProtocolMessageType('ProcessExternalFeedItemEvent', (_message.Message,), {
  'DESCRIPTOR' : _PROCESSEXTERNALFEEDITEMEVENT,
  '__module__' : 'artemis.event.external_feed_event_pb2'
  # @@protoc_insertion_point(class_scope:weclikd.ProcessExternalFeedItemEvent)
  })
_sym_db.RegisterMessage(ProcessExternalFeedItemEvent)


# @@protoc_insertion_point(module_scope)
